<?php
/*
页面功能：配合页面Vbook.php,审核会计凭证；
*/
//****************************************请求权限*****************************************
require("locked.php");                                                                 //*
setlocked(8);                                                                          //*
//****************************************************************************************

include("cnn.php");

//凭证审核前检查借贷方是否相等；
$sql=$mysqli->query('select sum(dr) as sumDr,sum(cr) as sumCr from v1 where qj="'.$_GET[qj].'" and pzh="'.$_GET[pzh].'"');
$info=$sql->fetch_array(MYSQLI_BOTH);
if(round($info[sumDr],2)!=round($info[sumCr],2)){
	echo '操作失败:'.$_GET[qj].'-'.$_GET[pzh]."\n";
	echo '失败可能的原因：'."\n";
	echo '1>凭证借贷方不相等；';
	exit();
}

$strsql='select chk from v1 where qj="'.$_GET[qj].'" and pzh="'.$_GET[pzh].'" and acc is null';
$sql=$mysqli->query($strsql);
$info=$sql->fetch_array(MYSQLI_BOTH);
if($info){//如果满足条件的记录存在；
	if(is_null($info[chk])){ //如果凭证未审核；
		$mysqli->query("update V1 set chk='".$_SESSION[username]."' where qj='".$_GET[qj]."' and pzh='".$_GET[pzh]."'");
		echo '审核成功/'.$_GET[qj].'-'.$_GET[pzh].'/'.$_SESSION[username];
	}else if($info[chk]==$_SESSION[username]){
		$mysqli->query("update V1 set chk=null where qj='".$_GET[qj]."' and pzh='".$_GET[pzh]."'");
		echo '反审核成功/'.$_GET[qj].'-'.$_GET[pzh];
	}else{
		echo '操作失败:'.$_GET[qj].'-'.$_GET[pzh]."\n";
		echo '失败可能的原因：'."\n";
		echo '1>将要审核的凭证已经审核且非同一人；';
	}
}else{
	echo '操作失败:'.$_GET[qj].'-'.$_GET[pzh]."\n";
	echo '失败可能的原因：'."\n";
	echo '1>相应的凭证已经记账；'."\n";
	echo '2>相应的凭证已经删除；';
}
$sql->free();
$mysqli->close();
?>